%global momorel 1
Summary:   Tools for AppData files
Name:      appdata-tools
Version: 0.1.8
Release: %{momorel}m%{?dist}
License:   GPLv2+
Group:	   Development/Tools
URL:       http://people.freedesktop.org/~hughsient/appdata/
Source0:   http://people.freedesktop.org/~hughsient/releases/%{name}-%{version}.tar.xz
NoSource: 0

Requires: emacs-filesystem

BuildRequires: gettext
BuildRequires: intltool
BuildRequires: libxslt
BuildRequires: docbook-style-xsl
BuildRequires: glib2-devel >= 2.25.9-2
BuildRequires: libsoup-devel
BuildRequires: gdk-pixbuf2-devel
# !!FIXME!! 
# We disable jing-trang support for a while, because it requires JAVA environment
#BuildRequires: trang
BuildRequires: python-lxml > 2.3
BuildRequires: emacs

%description
appdata-tools contains a command line program designed to validate AppData
application descriptions for standards compliance and to the style guide.

%prep
%setup -q

%build
%configure ## --enable-schemas
%make 

%install
%make_install

%find_lang %name

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README
%{_bindir}/appdata-validate
%{_mandir}/man1/appdata-validate.1.bz2
%dir %{_datadir}/appdata/schema
%{_datadir}/appdata/schema/appdata.xsd
%{_datadir}/appdata/schema/appdata.rnc
# !!FIXME!!
#%{_datadir}/appdata/schema/appdata.rng
#%{_datadir}/appdata/schema/appdata.sch
%{_datadir}/appdata/schema/schema-locating-rules.xml
%{_datadir}/aclocal/appdata-xml.m4
%{_emacs_sitestartdir}/appdata-rng-init.el

%changelog
* Sun Oct 05 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.1.8-1m)
- update to 0.1.8

* Thu Mar 27 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.1.7-1m)
- import from fedora
- disable trang support for a while
